def quiz():
    questions = [
        {
            'question': 'Какой тип данных в Python используется для хранения целых чисел?',
            'options': ['a) float', 'b) str', 'c) int', 'd) list'],
            'answer': 'c'
        },
        {
            'question': 'Какой оператор используется для конкатенации строк в Python?',
            'options': ['a) +', 'b) &', 'c) %', 'd) *'],
            'answer': 'a'
        },
        {
            'question': 'Какой метод используется для получения длины строки в Python?',
            'options': ['a) size()', 'b) length()', 'c) len()', 'd) count()'],
            'answer': 'c'
        },
        {
            'question': 'Какой из следующих методов добавляет элемент в конец списка?',
            'options': ['a) append()', 'b) add()', 'c) insert()', 'd) extend()'],
            'answer': 'a'
        },
        {
            'question': 'Какой цикл используется для перебора элементов в списке?',
            'options': ['a) for', 'b) while', 'c) do while', 'd) foreach'],
            'answer': 'a'
        },
        {
            'question': 'Какой специальный метод используется для создания экземпляра класса?',
            'options': ['a) __init__', 'b) __new__', 'c) __create__', 'd) __build__'],
            'answer': 'a'
        },
        {
            'question': 'Какое ключевое слово используется для обработки исключений?',
            'options': ['a) try', 'b) catch', 'c) except', 'd) error'],
            'answer': 'a'
        },
        {
            'question': 'Какой метод используется для сортировки списка в Python?',
            'options': ['a) sort()', 'b) order()', 'c) arrange()', 'd) sequence()'],
            'answer': 'a'
        },
        {
            'question': 'Какой оператор используется для проверки равенства в Python?',
            'options': ['a) =', 'b) ==', 'c) !=', 'd) ==='],
            'answer': 'b'
        },
        {
            'question': 'Какое ключевое слово используется для определения функции?',
            'options': ['a) define', 'b) func', 'c) def', 'd) lambda'],
            'answer': 'c'
        }
    ]

    score = 0

    for q in questions:
        print(q['question'])
        for option in q['options']:
            print(option)
        answer = input("Ваш ответ (a/b/c/d): ")
        
        if answer.lower() == q['answer']:
            print("Правильно!\n")
            score += 1
        else:
            print(f"Неправильно! Правильный ответ: {q['answer']}\n")

    print(f"Вы набрали {score} из {len(questions)}")

if __name__ == "__main__":
    quiz()
